Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl
Class HttpServletProtocolContext

    java.lang.Object
      be.fedict.eid.applet.service.impl.HttpServletProtocolContext

All Implemented Interfaces:
  be.fedict.eid.applet.shared.protocol.ProtocolContext

    public class HttpServletProtocolContext

extends Object
implements be.fedict.eid.applet.shared.protocol.ProtocolContext

Implementation of a protocol context using the HTTP servlet session.

Author:
  Frank Cornelis

Field Summary
`static String` | `PROTOCOL_STATE_SESSION_ATTRIBUTE`

Constructor Summary
`HttpServletProtocolContext(HttpServletRequest request)` Main constructor.

Method Summary
`be.fedict.eid.applet.shared.protocol.ProtocolState` | `getProtocolState()`
`void` | `removeProtocolState()`
`void` | `setProtocolState(be.fedict.eid.applet.shared.protocol.ProtocolState protocolState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL_STATE_SESSION_ATTRIBUTE

    public static final String PROTOCOL_STATE_SESSION_ATTRIBUTE

Constructor Detail

### HttpServletProtocolContext

    public HttpServletProtocolContext(HttpServletRequest request)

  Main constructor.

  Parameters:
    `request` -

Method Detail

### getProtocolState

    public be.fedict.eid.applet.shared.protocol.ProtocolState getProtocolState()

  Specified by:
    `getProtocolState` in interface `be.fedict.eid.applet.shared.protocol.ProtocolContext`

### setProtocolState

    public void setProtocolState(be.fedict.eid.applet.shared.protocol.ProtocolState protocolState)

  Specified by:
    `setProtocolState` in interface `be.fedict.eid.applet.shared.protocol.ProtocolContext`

### removeProtocolState

    public void removeProtocolState()

  Specified by:
    `removeProtocolState` in interface `be.fedict.eid.applet.shared.protocol.ProtocolContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 FedICT. All Rights Reserved.